<?php
$ini_file = dirname(__FILE__).'/photoblog.ini';

$objIni = new iniFile($ini_file);
$objIni->read($ini_file);

$err = '';

$url = 'tools.php?p=photoblog';
$url_config = 'tools.php?p=blogconf';
$is_writable = false;


if (!is_writable($ini_file)) {
	$err = '<p>'.sprintf(__('Config file %s, is not writable.'),'<strong>./photoblog.ini</strong>').'</p>';
} else {
	$is_writable = true;
	
	# Modification du fichier
	if (!empty($_POST))
	{
		$p_photo_max_posts = trim($_POST['p_photo_max_posts']);
		$p_photo_sepia = trim($_POST['p_photo_sepia']);
		
		{
			$objIni = new iniFile($ini_file);
			$objIni->editVar('sp_photo_max_posts',(integer) $p_photo_max_posts);
			$objIni->editVar('sp_photo_sepia', (integer) $p_photo_sepia);
			
			if ($objIni->saveFile() !== false) {
				if (defined('DC_UPDATE_FILE_W') && DC_UPDATE_FILE_W) {
					files::touch(DC_UPDATE_FILE,time());
				}
				header('Location: '.$url.'&done=1');
				exit;
			} else {
				$err = __('An error occured while writing the file.');
			}
		}
	}
}


/* Affichage
-------------------------------------------------------- */
buffer::str('<h2><img src="tools/photoblog/icon.png" alt="" />'.__('PhotoBlog').'</h2>');

if($err != '')
{
	buffer::str('<div class="erreur"><p><strong>'.__('Error(s)').' :</strong></p>'.$err.'</div>');
}

if ($is_writable)
{
	
	if (!empty($_GET['done'])) {
		buffer::str(
		'<p class="message">'.__('Configuration file successfully updated.').'</p>'
		);
	}
	
	buffer::str(
	'<form action="'.$url.'" method="post">'.
	
	'<fieldset class="clear">'.
	'<legend>'.__('Base configuration').'</legend>'.
	'<p class="field"><label for="p_photo_max_posts"><strong>'.
	__('Max number of posts when displaying the archives by category').'&nbsp;:</strong> ' . __('(leave it empty or at 0 for no limit)') . '</label>' .
	form::field('p_photo_max_posts',3 , '', (integer) sp_photo_max_posts).
	'</p>'.
	'<p class="field"><label for="p_photo_sepia"><strong>'.
	__('Sepia toning for thumbnails').'&nbsp;: </strong>' . helpLink('index&amp;plugin=photoblog', 'sepia_tone') . '</label>'.
	form::combo('p_photo_sepia', array(__('Color')=>0, __('Black and white')=>1, __('Sepia #1')=>2, __('Sepia #2')=>3, __('Sepia #3')=>4, __('Selenium')=>5, __('Silver')=>6, __('Cyanotype')=>7, __('Platinum')=>8, __('Palladium')=>9, __('Silver gelatin')=>10), (integer) sp_photo_sepia).
	'</p>'.
	'</fieldset>'.

	'<p class="field"><input class="submit" type="submit" value="'.__('save').'" /></p>'.
	'</form>'
	);

}

buffer::str('<h3>' . 
__('DotClear configuration') . '</h3><p>'. __("For correct usage of this plugin, you have to tweak DotClear's configuration.") . ' ' .
sprintf(__('For that, go to the %sDotClear Configuration%s plugin, and select 1 as "Number of entries per page" and choose the "Default photo theme" as the blog theme.'), '<a href="'.$url_config.'">', '</a>').
'</p><h3>' . __('Usage') . '</h3><p><ol><li>' .
 __('Upload your pictures to the images directory.') . '</li><li>' . __('Write a post with the desired image in it. (I use the wiki syntax and center the image.)') .
'</li><li>' . __('Save your post.') . '</li></ol></p>');

buffer::str('<h3>' . __('A few notes') . '</h3><p><ul><li>' . 
__("The default photo theme always display both the header and the post content.") . '</li><li>' .
__('The photoblog plugin always uses the first image it finds in the post (be it in the header or in the content) as basis for the thumbnail') . '</li><li>' .
sprintf(__("If you change the sepia toning, you'll have to manually delete the generated thumbnails (files having a %s suffix in your images directory)."), '<samp>photobwTN__</samp>')
. '</li></ul></p>');

buffer::str('<h3>' . __('Known bugs') . '</h3><p><ul><li>' . 
__("The default photo theme does not look exactly the same using Firefox or Internet Explorer. Be assured that the intended look is the one seen using Firefox.") . '</li><li>' . __('Every post has to have a title. This limitation is due to DotClear.') . '</li></ul></p>');

buffer::str('<h3>' . __("Changelog") . '</h3>' .
'<h4>' . __('Version 0.1g') . '</h4><p><ul><li>' . __('Corrected a bug with file paths, appearing when using EasyPHP.') . '</li></ul></p>' .
'<h4>' . __('Version 0.1f') . '</h4><p><ul><li>' . __('First public version.') . '</li></ul></p>');

buffer::str('<div class="copyright"><h3>' . __('Copyright information') . '</h3><p>' . __('The icon used for this plugin is  2004 by') . ' <a href="http://www.miloszwl.com/">Miloszwl</a>. ' . 
  __('All the code is  2005 by') . ' <a href="http://www.mudry.org/">julien mudry</a> ' . __('and distributed under the terms of the GPL license.') . '</p><p>' . sprintf(__('The default photo theme was made by %s and julien mudry, based on previous work by Samuel Latchman and Olivier Meunier.'), '<a href="http://www.kozlika.org/kozeries/">Kozlika</a>') . '</p></div>');
?>
